<?php
/* inspired from autoload from version 1.2.1 */

$phpdir = '/usr/share/php';

require_once $phpdir.'/Text/Template/Autoload.php';

require_once $phpdir.'/SebastianBergmann/Version/autoload.php';

require_once $phpdir.'/Symfony/Component/ClassLoader/UniversalClassLoader.php';
$loader = new Symfony\Component\ClassLoader\UniversalClassLoader();
$loader->registerNamespaces(array(
    'Symfony\\Component\\Console'         => $phpdir,
    'Symfony\\Component\\ClassLoader'     => $phpdir,
    'org\\bovigo\\vfs'                    => $phpdir,
));
$loader->register();

spl_autoload_register(
    function($class) {
        static $classes = null;
        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phpunit\\skeletongenerator\\abstractgenerator' => '/AbstractGenerator.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\classgenerator' => '/ClassGenerator.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\basecommand' => '/CLI/BaseCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\generateclasscommand' => '/CLI/GenerateClassCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\cli\\generatetestcommand' => '/CLI/GenerateTestCommand.php',
                'sebastianbergmann\\phpunit\\skeletongenerator\\testgenerator' => '/TestGenerator.php'
            );
        }
        $cn = strtolower($class);
        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
